ETS2 – Fix For Rjl Sisu R500 C500 C600 (1.35.X)

1 Like Comment

This fix update the SISU R500 C500 C600 truck to version 1.35,x of Euro Truck Simulator 2.
For it to work properly this mod must be placed just above the original SISU R500 C500 C600 truck mod.
You need have the original mod of the RJL SISU R500 C500 C600 truck.
Supported game versions: ETS2 – (1.35.X)

You might like

About the Author: TruckSimulator

Best Truck Simulator Game Mods. Euro Truck Simulator 2 and American Truck Simulator mods.

Leave a Reply

Your email address will not be published. Required fields are marked *